#!/bin/bash

if [ $# -ne 5 ]; then
    echo "Usage: $0 <ws_dir> <env_path> <ray_address> <redis_password> <obj_store_memory>"
    exit 1
fi

export WS_DIR=$1
export ENV_PATH=$2
export RAY_ADDRESS=$3
export REDIS_PASSWORD=$4
export OBJECT_STORE_MEMORY=$5

source $ENV_PATH/bin/activate

ray start --address=$RAY_ADDRESS \
        --redis-password=$REDIS_PASSWORD \
        --object-store-memory=$OBJECT_STORE_MEMORY \
        --block